<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlFwVersionParam_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlFwVersionParam_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>mmWaveLink firmware version structure  
 <a href="structrl_fw_version_param__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/mmwavelink.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:ae98bd059984591be19aa4d36bd9346f0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae98bd059984591be19aa4d36bd9346f0"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_fw_version_param__t.html#ae98bd059984591be19aa4d36bd9346f0">hwVarient</a></td></tr>
<tr class="memdesc:ae98bd059984591be19aa4d36bd9346f0"><td class="mdescLeft">&#160;</td><td class="mdescRight">HW variant number. <br /></td></tr>
<tr class="separator:ae98bd059984591be19aa4d36bd9346f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca11b2875b9f8272661ab87e159162b0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aca11b2875b9f8272661ab87e159162b0"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_fw_version_param__t.html#aca11b2875b9f8272661ab87e159162b0">hwMajor</a></td></tr>
<tr class="memdesc:aca11b2875b9f8272661ab87e159162b0"><td class="mdescLeft">&#160;</td><td class="mdescRight">HW version major number. <br /></td></tr>
<tr class="separator:aca11b2875b9f8272661ab87e159162b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf9733c73e1475c9cb821ed9191910b6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adf9733c73e1475c9cb821ed9191910b6"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_fw_version_param__t.html#adf9733c73e1475c9cb821ed9191910b6">hwMinor</a></td></tr>
<tr class="memdesc:adf9733c73e1475c9cb821ed9191910b6"><td class="mdescLeft">&#160;</td><td class="mdescRight">HW version minor number. <br /></td></tr>
<tr class="separator:adf9733c73e1475c9cb821ed9191910b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32e0477765fb9c8a38b487881aae87c4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a32e0477765fb9c8a38b487881aae87c4"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_fw_version_param__t.html#a32e0477765fb9c8a38b487881aae87c4">fwMajor</a></td></tr>
<tr class="memdesc:a32e0477765fb9c8a38b487881aae87c4"><td class="mdescLeft">&#160;</td><td class="mdescRight">FW version major number. <br /></td></tr>
<tr class="separator:a32e0477765fb9c8a38b487881aae87c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c81a18f0e1bba30422b1ab5e748ed3e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5c81a18f0e1bba30422b1ab5e748ed3e"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_fw_version_param__t.html#a5c81a18f0e1bba30422b1ab5e748ed3e">fwMinor</a></td></tr>
<tr class="memdesc:a5c81a18f0e1bba30422b1ab5e748ed3e"><td class="mdescLeft">&#160;</td><td class="mdescRight">FW version major number. <br /></td></tr>
<tr class="separator:a5c81a18f0e1bba30422b1ab5e748ed3e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a41b5588e459abf7dc957cda6babf3c7b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a41b5588e459abf7dc957cda6babf3c7b"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_fw_version_param__t.html#a41b5588e459abf7dc957cda6babf3c7b">fwBuild</a></td></tr>
<tr class="memdesc:a41b5588e459abf7dc957cda6babf3c7b"><td class="mdescLeft">&#160;</td><td class="mdescRight">FW version build number. <br /></td></tr>
<tr class="separator:a41b5588e459abf7dc957cda6babf3c7b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5dbef57da49a2fa242db16ea61d7bd3d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5dbef57da49a2fa242db16ea61d7bd3d"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_fw_version_param__t.html#a5dbef57da49a2fa242db16ea61d7bd3d">fwDebug</a></td></tr>
<tr class="memdesc:a5dbef57da49a2fa242db16ea61d7bd3d"><td class="mdescLeft">&#160;</td><td class="mdescRight">FW version debug number. <br /></td></tr>
<tr class="separator:a5dbef57da49a2fa242db16ea61d7bd3d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a22716849294224c37c52894fd2a0fe79"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a22716849294224c37c52894fd2a0fe79"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_fw_version_param__t.html#a22716849294224c37c52894fd2a0fe79">fwYear</a></td></tr>
<tr class="memdesc:a22716849294224c37c52894fd2a0fe79"><td class="mdescLeft">&#160;</td><td class="mdescRight">FW Release Year. <br /></td></tr>
<tr class="separator:a22716849294224c37c52894fd2a0fe79"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afda0610eb4558707378b48824b82576f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afda0610eb4558707378b48824b82576f"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_fw_version_param__t.html#afda0610eb4558707378b48824b82576f">fwMonth</a></td></tr>
<tr class="memdesc:afda0610eb4558707378b48824b82576f"><td class="mdescLeft">&#160;</td><td class="mdescRight">FW Release Month. <br /></td></tr>
<tr class="separator:afda0610eb4558707378b48824b82576f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a22b3d16b7c3510256fe4a58e24f3d259"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a22b3d16b7c3510256fe4a58e24f3d259"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_fw_version_param__t.html#a22b3d16b7c3510256fe4a58e24f3d259">fwDay</a></td></tr>
<tr class="memdesc:a22b3d16b7c3510256fe4a58e24f3d259"><td class="mdescLeft">&#160;</td><td class="mdescRight">FW Release Day. <br /></td></tr>
<tr class="separator:a22b3d16b7c3510256fe4a58e24f3d259"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24b1c66cf3d39a56e5bf7fc789c3a1d7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a24b1c66cf3d39a56e5bf7fc789c3a1d7"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_fw_version_param__t.html#a24b1c66cf3d39a56e5bf7fc789c3a1d7">patchMajor</a></td></tr>
<tr class="memdesc:a24b1c66cf3d39a56e5bf7fc789c3a1d7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Patch version major number. <br /></td></tr>
<tr class="separator:a24b1c66cf3d39a56e5bf7fc789c3a1d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9443dc31994a52889a9bf06be6e60545"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9443dc31994a52889a9bf06be6e60545"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_fw_version_param__t.html#a9443dc31994a52889a9bf06be6e60545">patchMinor</a></td></tr>
<tr class="memdesc:a9443dc31994a52889a9bf06be6e60545"><td class="mdescLeft">&#160;</td><td class="mdescRight">Patch version minor number. <br /></td></tr>
<tr class="separator:a9443dc31994a52889a9bf06be6e60545"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a6015b5da51b0d5a4bfaf71f97573ec"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8a6015b5da51b0d5a4bfaf71f97573ec"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_fw_version_param__t.html#a8a6015b5da51b0d5a4bfaf71f97573ec">patchYear</a></td></tr>
<tr class="memdesc:a8a6015b5da51b0d5a4bfaf71f97573ec"><td class="mdescLeft">&#160;</td><td class="mdescRight">Patch Release Year. <br /></td></tr>
<tr class="separator:a8a6015b5da51b0d5a4bfaf71f97573ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7cda07abc3e8acb4675315eed4b4c168"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7cda07abc3e8acb4675315eed4b4c168"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_fw_version_param__t.html#a7cda07abc3e8acb4675315eed4b4c168">patchMonth</a></td></tr>
<tr class="memdesc:a7cda07abc3e8acb4675315eed4b4c168"><td class="mdescLeft">&#160;</td><td class="mdescRight">Patch Release Month. <br /></td></tr>
<tr class="separator:a7cda07abc3e8acb4675315eed4b4c168"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7645c3b361a9f78a0a28522b31559914"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7645c3b361a9f78a0a28522b31559914"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_fw_version_param__t.html#a7645c3b361a9f78a0a28522b31559914">patchDay</a></td></tr>
<tr class="memdesc:a7645c3b361a9f78a0a28522b31559914"><td class="mdescLeft">&#160;</td><td class="mdescRight">Patch Release Day. <br /></td></tr>
<tr class="separator:a7645c3b361a9f78a0a28522b31559914"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af32c10dc7610023982b85c032a0b858c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af32c10dc7610023982b85c032a0b858c"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_fw_version_param__t.html#af32c10dc7610023982b85c032a0b858c">patchBuildDebug</a></td></tr>
<tr class="memdesc:af32c10dc7610023982b85c032a0b858c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Debug and build version b3:0 Debug version b7:4 Build version. <br /></td></tr>
<tr class="separator:af32c10dc7610023982b85c032a0b858c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>mmWaveLink firmware version structure </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/mmwavelink.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
